Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class ApplicationFilterConfig

    java.lang.Object
      org.apache.catalina.core.ApplicationFilterConfig

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.FilterConfig

    public final class ApplicationFilterConfig

extends java.lang.Object
implements javax.servlet.FilterConfig, java.io.Serializable

Implementation of a `javax.servlet.FilterConfig` useful in managing the filter instances instantiated when a web application is first started.

Version:
  $Id: ApplicationFilterConfig.java 939336 2010-04-29 15:00:41Z kkolinko $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static java.util.Properties` | `restrictedFilters` Restricted filters (which can only be loaded by a privileged webapp).
`protected static StringManager` | `sm`

Method Summary
`java.lang.String` | `getFilterClass()` Return the class of the filter we are configuring.
`java.util.Map<java.lang.String,java.lang.String>` | `getFilterInitParameterMap()`
`java.lang.String` | `getFilterName()` Return the name of the filter we are configuring.
`java.lang.String` | `getInitParameter(java.lang.String name)` Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Return an `Enumeration` of the names of the initialization parameters for this Filter.
`javax.servlet.ServletContext` | `getServletContext()` Return the ServletContext of our associated web application.
`protected boolean` | `isFilterAllowed(java.lang.Class filterClass)` Return `true` if loading this filter is allowed.
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sm

    protected static StringManager sm

### restrictedFilters

    protected static java.util.Properties restrictedFilters

  Restricted filters (which can only be loaded by a privileged webapp).

Method Detail

### getFilterName

    public java.lang.String getFilterName()

  Return the name of the filter we are configuring.

  Specified by:
    `getFilterName` in interface `javax.servlet.FilterConfig`

### getFilterClass

    public java.lang.String getFilterClass()

  Return the class of the filter we are configuring.

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Specified by:
    `getInitParameter` in interface `javax.servlet.FilterConfig`
  Parameters:
    `name` - Name of the requested initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Return an `Enumeration` of the names of the initialization parameters for this Filter.

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.FilterConfig`
  Returns:
    an `Enumeration` of `String` objects containing the names of the filter's initialization parameters

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Return the ServletContext of our associated web application.

  Specified by:
    `getServletContext` in interface `javax.servlet.FilterConfig`
  Returns:
    a `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### getFilterInitParameterMap

    public java.util.Map<java.lang.String,java.lang.String> getFilterInitParameterMap()

### isFilterAllowed

    protected boolean isFilterAllowed(java.lang.Class filterClass)

  Return `true` if loading this filter is allowed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.